## Check credits eligibility by order ID

### cURL

```
curl --request POST \
  --url https://api.fabric.inc/v3/orders/{orderId}/actions/check-credits-eligibility \
  --header 'Authorization: Bearer <token>' \
  --header 'x-fabric-channel-id: <x-fabric-channel-id>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
```

### Python

```
import requests

url = "https://api.fabric.inc/v3/orders/{orderId}/actions/check-credits-eligibility"

headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "x-fabric-channel-id": "<x-fabric-channel-id>",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    'x-fabric-channel-id': '<x-fabric-channel-id>',
    Authorization: 'Bearer <token>'
  }
};

fetch('https://api.fabric.inc/v3/orders/{orderId}/actions/check-credits-eligibility', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Codes

- **200** - OK

- **400** - Bad Request

- **401** - Unauthorized

- **404** - Not Found

- **500** - Internal Server Error

### Example Responses

**200 OK**  
```json
{
  "description": "Policy used to add credits",
  "eligibleReasonCodes": [
    {
      "code": "1DMG",
      "description": "Damaged"
    }
  ],
  "orderId": "62f3982438bcab1951be0a19",
  "policyName": "Credits policy",
  "policyType": "credits"
}
```

**400 Bad Request**  
```json
{
  "errors": [
    {
      "message": "Invalid request",
      "type": "CLIENT_ERROR"
    }
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
```

**401 Unauthorized**  
```json
{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}
```

**404 Not Found**  
```json
{
  "message": "Not found",
  "type": "CLIENT_ERROR"
}
```

**500 Internal Server Error**  
```json
{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}
```

### Authorizations

**Authorization**  
- Type: string
- Location: header
- Required: Yes  
Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Headers

- **x-fabric-tenant-id**: string (required)  
 A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints.

- **x-fabric-channel-id**: string (required)  
 Identifies the sales channel where the API request is being made; primarily for multichannel use cases.

### Path Parameters

- **orderId**: string (required)  
 24-character system-generated order ID returned in the response of Create Order - `POST /orders` endpoint.
